DavenDaven Documentation
APIAPI ReferenceATSJob Offers

Create job offers

POST
/ats/job-offers

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[index: integer]?

Job offer DTO - The data transfer object for job offers

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/ats/job-offers" \  -H "Content-Type: application/json" \  -d '[    {      "publication_at": "2023-10-01T00:00:00Z",      "title": "Software Engineer",      "reference": "REF123"    }  ]'
{
  "message": "string"
}
{
  "message": "string",
  "data": [
    {
      "publication_at": "2023-10-01T00:00:00Z",
      "title": "Software Engineer",
      "reference": "REF123",
      "reference_2": "REF456",
      "reference_3": "REF789",
      "subsidiary": "Daven Corp",
      "subsidiary_ats_id": "SUB123",
      "description": "We are looking for a software engineer to join our team.",
      "attributes": [
        {
          "name": "location",
          "value": "Paris"
        }
      ]
    }
  ]
}
{
  "message": "string",
  "data": [
    {
      "publication_at": "2023-10-01T00:00:00Z",
      "title": "Software Engineer",
      "reference": "REF123",
      "reference_2": "REF456",
      "reference_3": "REF789",
      "subsidiary": "Daven Corp",
      "subsidiary_ats_id": "SUB123",
      "description": "We are looking for a software engineer to join our team.",
      "attributes": [
        {
          "name": "location",
          "value": "Paris"
        }
      ]
    }
  ],
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}